twitter4j.api

## Interface HelpResources

All Known Subinterfaces:
  Twitter

    public interface HelpResources

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Nested Class Summary

Nested Classes
`static interface` `HelpResources.Language`

### Method Summary

All Methods Instance Methods Abstract Methods
`TwitterAPIConfiguration` `getAPIConfiguration()` Returns the current configuration used by Twitter including twitter.com slugs which are not usernames, maximum photo resolutions, and t.co URL lengths. It is recommended applications request this endpoint when they are loaded, but no more than once a day.
`ResponseList<HelpResources.Language>` `getLanguages()` Returns the list of languages supported by Twitter along with their ISO 639-1 code.
`String` `getPrivacyPolicy()` Returns Twitter's Privacy Policy.
`Map<String,RateLimitStatus>` `getRateLimitStatus()` Returns the current rate limits for methods belonging to the specified resource families. Each 1.1 API resource belongs to a "resource family" which is indicated in its method documentation.
`Map<String,RateLimitStatus>` `getRateLimitStatus(String... resources)` Returns the current rate limits for methods belonging to the specified resource families. Each 1.1 API resource belongs to a "resource family" which is indicated in its method documentation.
`String` `getTermsOfService()` Returns Twitter's' Terms of Service.

### Method Detail

#### getAPIConfiguration

    TwitterAPIConfiguration getAPIConfiguration()
                                         throws TwitterException

Returns the current configuration used by Twitter including twitter.com slugs which are not usernames, maximum photo resolutions, and t.co URL lengths.
It is recommended applications request this endpoint when they are loaded, but no more than once a day.

Returns:
  configuration
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.2.3
See Also:
  GET help/configuration | Twitter Developers

#### getLanguages

    ResponseList<HelpResources.Language> getLanguages()
                                               throws TwitterException

Returns the list of languages supported by Twitter along with their ISO 639-1 code. The ISO 639-1 code is the two letter value to use if you include lang with any of your requests.

Returns:
  list of languages supported by Twitter
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.2.3
See Also:
  GET help/languages | Twitter Developers

#### getPrivacyPolicy

    String getPrivacyPolicy()
                     throws TwitterException

Returns Twitter's Privacy Policy.
This method calls https://api.twitter.com/1.1/help/privacy.json

Returns:
  privacy policy
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.7
See Also:
  GET help/privacy | Twitter Developers

#### getTermsOfService

    String getTermsOfService()
                      throws TwitterException

Returns Twitter's' Terms of Service.
This method calls https://api.twitter.com/1.1/help/tos.json

Returns:
  Terms of Service
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.7
See Also:
  GET help/tos | Twitter Developers

#### getRateLimitStatus

    Map<String,RateLimitStatus> getRateLimitStatus()
                                            throws TwitterException

Returns the current rate limits for methods belonging to the specified resource families.
Each 1.1 API resource belongs to a "resource family" which is indicated in its method documentation. You can typically determine a method's resource family from the first component of the path after the resource version.
This method responds with a map of methods belonging to the families specified by the resources parameter, the current remaining uses for each of those resources within the current rate limiting window, and its expiration time in epoch time. It also includes a rate_limit_context field that indicates the current access token context.
You may also issue requests to this method without any parameters to receive a map of all rate limited GET methods. If your application only uses a few of methods, please explicitly provide a resources parameter with the specified resource families you work with.
Read more about REST API Rate Limiting in v1.1 and review the limits.
This method calls https://api.twitter.com/1.1/application/rate_limit_status.json

Returns:
  the rate limit statuses
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  GET application/rate_limit_status

#### getRateLimitStatus

    Map<String,RateLimitStatus> getRateLimitStatus(String... resources)
                                            throws TwitterException

Returns the current rate limits for methods belonging to the specified resource families.
Each 1.1 API resource belongs to a "resource family" which is indicated in its method documentation. You can typically determine a method's resource family from the first component of the path after the resource version.
This method responds with a map of methods belonging to the families specified by the resources parameter, the current remaining uses for each of those resources within the current rate limiting window, and its expiration time in epoch time. It also includes a rate_limit_context field that indicates the current access token context.
You may also issue requests to this method without any parameters to receive a map of all rate limited GET methods. If your application only uses a few of methods, please explicitly provide a resources parameter with the specified resource families you work with.
Read more about REST API Rate Limiting in v1.1 and review the limits.
As of Nov 4th 2012, supported resource names are as follows: "trends","application","users","saved_searches","geo","direct_messages","blocks","favorites","statuses","followers","help","friends","search","friendships","account","lists"
This method calls https://api.twitter.com/1.1/application/rate_limit_status.json

Parameters:
  `resources` - resources
Returns:
  the rate limit statuses
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  GET application/rate_limit_status